Bug 256346 - x11-toolkits/gtk30: update to 3.24.29
Summary: x11-toolkits/gtk30: update to 3.24.29
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-desktop (Team)
URL: https://gitlab.gnome.org/GNOME/gtk/-/...
Keywords: patch
Depends on: 254552
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-01 17:53 UTC by Jan Beich
Modified: 2021-06-02 12:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (desktop)


Attachments
v1 (apply via "git am") (1.61 KB, patch)
2021-06-01 17:53 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-06-01 17:53:12 UTC
Created attachment 225469 [details]
v1 (apply via "git am")

Public API didn't change, so exp-run isn't necessary. Locally I'll check at least www/webkit2-gtk3.

GDK_BACKEND=wayland (on sway) and GDK_BACKEND=x11 (on Xwayland) appear to work fine. Tested via www/firefox without rebuilding it (checking ABI compatibility).
Comment 1 Jan Beich freebsd_committer 2021-06-02 01:21:35 UTC
(In reply to Jan Beich from comment #0)
> Locally I'll check at least www/webkit2-gtk3.

Built fine on 11.4/12.2/13.0/14.0 amd64/i386. Runtime tested via www/midori inside 11.4 i386 jail (with X11/Wayland sockets passed through).
Comment 2 Jan Beich freebsd_committer 2021-06-02 01:25:03 UTC
Also, builds fine on 14.0 aarch64 with DEFAULT_VERSIONS+=librsvg2=legacy (workaround for qemu-user-static).
Comment 3 Tobias C. Berner freebsd_committer 2021-06-02 06:55:33 UTC
Moin moin 

Why the Depends on "254552" -- that needlessly generates more mails than necessary.


LGTM, assuming you tested it.



mfg Tobias
Comment 4 commit-hook freebsd_committer 2021-06-02 12:50:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2b1cd908bf52e4dcb8063846d9af593ad89a4d92

commit 2b1cd908bf52e4dcb8063846d9af593ad89a4d92
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-04-14 18:44:15 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-06-02 12:49:10 +0000

    x11-toolkits/gtk30: update to 3.24.29

    Changes:        https://gitlab.gnome.org/GNOME/gtk/-/compare/3.24.27...3.24.29
    PR:             256346
    Approved by:    tcberner

 x11-toolkits/gtk30/Makefile | 4 ++--
 x11-toolkits/gtk30/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 5 Jan Beich freebsd_committer 2021-06-02 12:54:16 UTC
(In reply to Tobias C. Berner from comment #3)
> Why the Depends on "254552" -- that needlessly generates more mails than
> necessary.

To compare testing/review from the previous update(s). A convention on bugzilla.mozilla.org (Firefox) and some other instances, where the workflow is more structured.